Subject: Re: [PATCH 3/4] [MMC] mmc_spi: add polling support for the carddetectline

From: Anton Vorontsov <[email-masked]>
Date: Mon, 26 May 2008 19:37:47 +0400

On Thu, May 22, 2008 at 09:44:57PM +0800, Chen Gong wrote:
[...]
> > > I want to know whether every card working well ? Because 
> > I'm working 
> > > For 83xx MMC-over-SPI support, the presented concrete 
> > methods I used 
> > > as you do, but only 256M card seems good, 512M or 1G/2G 
> > card all have 
> > > some problems
> > 
> > So far I don't have cards larger than 256M. Will try to get 
> > one though.
> > 
> Thanks, if you have any new test report pls contact me.

Just tested with Apacer 1GB MicroSD (connected through dumb adapter),
it works quite well here. I've successfully wrote 10 mb file onto ext2
formatted partition...

> BTW, a fews days ago Joakim Tjernlund made a heavy fix for 
> spi_mpc83xx.c to resolve clock glitch. But it looks no any impact
> for me, but maybe it has positive effect for you.

Yup, I use it.

Btw, which mmc driver are you using? The one from MPC8610HPCD
BSP or mainline's mmc_spi?

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2